Name:           signon-plugin-oauth2
Version:        0.25
Release:        %mkrel 1
Summary:        OAuth2 plugin for the Accounts framework
Group:          System/Libraries
License:        LGPLv2+
URL:            https://gitlab.com/accounts-sso/signon-plugin-oauth2
Source0:        https://gitlab.com/accounts-sso/%{name}/repository/archive.tar.gz?ref=VERSION_%{version}#/%{name}-%{version}.tar.xz

# Qt5 BuildRequires
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5XmlPatterns)

BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  pkgconfig(libproxy-1.0)
BuildRequires:  pkgconfig(signon-plugins)
BuildRequires:  pkgconfig(libsignon-qt5)

Requires:       signon
Requires:       signon-ui

%description
OAuth2 plugin for the Accounts framework.

%files
%{_libdir}/signon/liboauth2plugin.so

#----------------------------------------------------

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%files devel
%{_includedir}/signon-plugins/
%{_libdir}/pkgconfig/signon-oauth2plugin.pc

#----------------------------------------------------

%prep
%setup -q
%apply_patches

sed -i '/-Werror/d' common-project-config.pri
sed -i 's|/lib|/%{_lib}|' src/signon-oauth2plugin.pc
echo 'INSTALLS =' >>tests/tests.pro
echo 'INSTALLS =' >>example/example.pro

%build
%qmake_qt5 LIBDIR=%{_libdir}

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}


%changelog
* Mon Nov 16 2020 tex - 0.25-1pclos2020
- new version

* Sat Feb 15 2020 tex - 0.24-1pclos2020
- import from maggie
